EDIT - feature request #4366

feature request # 2625 (Closed): [E+M Overview] Data aggregation functionalities for E+M (TransmissionEngine)

Transmissionengine Distribution: implement rules for source references
08/21/2014 11:53 AM - Andreas Kohlbecker

Status: Duplicate Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.2

Severity: major

Description

Scorzoneroides autumnalis subsp. borealis hat Verbreitungsangeben fir die Czech Republic, mit zwei Referenzen:

e Dostal, J., Nova kvetena CSSR 2. 1989,

e Dostal, J., Vel’ky klI'ic na ur€ovanie vyssich rastlin 2. 1992

Scorzoneroides autumnalis hat Verbreitungsangeben fiir die Czech Republic, mit den selben Referenzen, der Status ist auch gleich
(native)

¢ Dostdl, J., Nova kvetena CSSR 2. 1989

e Dostal, J., Vel’ky klI'ic na ur€ovanie vyssich rastlin 2. 1992
Die TransmissionEngine aggregiert derzeit beide Angaben in einen einzige, dies ist die, welche flir Scorzoneroides autumnalis im
Portal angezeigt wird, und diese enthalt keine Source-Referenz mehr da nach die Source-Referenzen im Falle einer Aggregation

unbericksichtigt bleiben.

Im Fall von Scorzoneroides autumnalis ist das Ergebnis der Aggregation so trivial, dass man schon gar nicht mehr von einer
Aggregation sprechen mdchte.

Die von dir benannte Regel, nach der die Quellen beibehalten werden sollen, "wenn aber der Status der errechneten und der
direkten Quellen identisch ist, sollen die Quellen auch genannt werden" kénnte natirlich in die Transmissionengine eingebaut
werden. Ich habe dies noch nicht umfassend durchdacht habe allerdings den Eindruck, dass diese Regel verfeinert werden misste.
Was ist denn wenn die hier beispielhaft verwendeten Taxa unterschiedliche Quellen hétten, sollten die Quellen dann aggregiert
werden oder doch nicht?
Related issues:

Related to EDIT - bug #8312: Test, fix, improve and run Transmission engine f... Closed
Related to EDIT - bug #9143: Distribution data sources are missing if multipl... Closed
Is duplicate of EDIT - task #8672: Source handling during (distribution) aggr... In Progress

Associated revisions

Revision f6299e47 - 06/29/2016 03:57 PM - Andreas Kohlbecker
#4366 test for aggregation of distribution sources (byArea)

Revision 92a6aa38 - 06/29/2016 03:57 PM - Andreas Kohlbecker

#4366 aggregation of distribution sources implemented for by area aggregation

Revision £5295f3f - 06/29/2016 03:57 PM - Andreas Kohlbecker

#4366 Transmissionengine aggregation of source references
History

#1 - 08/21/2014 11:53 AM - Andreas Kohlbecker

Hallo Andreas,

dem letzten Satz kann ich zustimmen: " es wére in diesem Fall richtig nur die Quellen von Scorzoneroides autumnalis zu nennen".
Dies wirde m.E. auch dann gelten, wenn die Quellen unterschiedlich wéren.

Schonen Gru3, Eckhard

#2 - 06/29/2015 12:04 PM - Andreas Kohlbecker

- Subject changed from Transmissionengine Distrubution: implement rules for source references to Transmissionengine Distribution: implement rules
for source references

#3 - 06/30/2015 11:27 AM - Andreas Kohlbecker
- Status changed from New to In Progress

- Target version changed from Euro+Med Migration to Release 3.8

#4 - 09/01/2015 12:22 PM - Andreas Kohlbecker

- Keywords changed from Euro+Med, Migration, to Euro+Med,Migration, TransmissionEngineDistribution

#5 - 09/11/2015 01:57 PM - Andreas Kohlbecker

- Target version deleted (Release 3.8)
moving unresolved tickets to next milestone after release of 3.8.0

#6 - 12/18/2015 12:23 PM - Andreas Miiller
- Target version deleted (Release 3.12)

#7 - 05/02/2016 03:12 PM - Andreas Miiller

- Target version changed from Release 4.0 to Release 4.1

#8 - 06/01/2016 01:23 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#9 - 06/16/2016 04:58 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Severity changed from normal to major

this is an important contribution to the version:"PESI ready for EU-BON"

#10 - 06/28/2016 05:55 PM - Andreas Kohlbecker

Replying to a.kohlbecker:
Hallo Andreas,
dem letzten Satz kann ich zustimmen: " es wére in diesem Fall richtig nur die Quellen von Scorzoneroides autumnalis zu nennen".
Dies wirde m.E. auch dann gelten, wenn die Quellen unterschiedlich waren.

Schonen GruB, Eckhard

Hallo Eckhard,

ich arbeite derzeit an diesem Ticket, bin mir aber nicht sicher ob unsere fritheren Uberlegungen (oben) wirklich richtig sind, oder ob es nicht doch
besser ist, alle beide Quellen an zu zeigen. Ich glaube das war bei der originalen TransmissionEngine auch so.

#11 - 06/29/2016 04:01 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to e.raab-straube -
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment1

implemented:

e 529513 [r28519 Transmissionengine aggregation of source references|* 92a6aa3 r28518] aggregation of distribution sources implemented for by
area aggregation

o 6299e4 r28517 test for aggregation of distribution sources (byArea)

@Eckhard: Die TransmissionEngine ist damit fertig , bitte prife das Aggregationsergebnis auf dem TestPortal.

#12 - 05/10/2017 01:39 PM - Andreas Kohlbecker

- Private changed from Yes to No

#13 - 05/28/2019 02:44 PM - Andreas Miiller

- Related to bug #8312: Test, fix, improve and run Transmission engine for E+M added

#14 - 11/09/2019 11:40 AM - Andreas Miiller
- Description updated
Andreas Kohlbecker wrote:
Replying to a.kohlbecker:
Hallo Andreas,
dem letzten Satz kann ich zustimmen: " es ware in diesem Fall richtig nur die Quellen von Scorzoneroides autumnalis zu nennen".
Dies wiirde m.E. auch dann gelten, wenn die Quellen unterschiedlich wéren.

Schoénen Gru3, Eckhard

Hallo Eckhard,

ich arbeite derzeit an diesem Ticket, bin mir aber nicht sicher ob unsere frilheren Uberlegungen (oben) wirklich richtig sind, oder ob es nicht
doch besser ist, alle beide Quellen an zu zeigen. Ich glaube das war bei der originalen TransmissionEngine auch so.

Bei der BM Transmission Engine (https://dev.e-taxonomy.eu/redmine/attachments/download/207/TransmissionsEngineOccurrence_V14.bas) wurden,
wenn ich es richtig sehe, immer nur die Quellen des héchsten Status aggregiert, vermutlich da diese ja den Status begriinden, die anderen wurden
weggelassen. Allerdings kann ich im BM Portal grundsétzlich gar keine Quellen an den "computed" Daten erkennen, die aggregierten Quellen wurden
also anscheinend letztlich gar nicht verwendet.

#15 - 11/09/2019 12:23 PM - Andreas Miiller

- Status changed from Resolved to Feedback

As this ticket is E+M specific, discusses only specific cases and neglects also to mention discussion from #2625 (attachement
Discussion-Transmission_Referenzen.txt) and because there was a new solution developed within the additivity project (aggreagtion of structured
descriptive data) | created a new ticket #8672 and suggest to close this ticket as duplicate for the more generic #8672.

#16 - 11/09/2019 12:24 PM - Andreas Miiller
- Is duplicate of task #8672: Source handling during (distribution) aggregation added

#17 - 11/11/2019 11:38 PM - Andreas Miiller

From AG:

The original BM Transmission Engine was handled references ONLY for the Med_Check_List 2 use cases. For E+M Portal they were never used.
#18 - 07/14/2020 04:17 PM - Andreas Miiller

- Status changed from Feedback to Duplicate

- Assignee changed from Eckhard von Raab-Straube to Andreas Miiller

- % Done changed from 0 to 100

Close as duplicate for #8672 which is more general
#19 - 07/14/2020 04:40 PM - Andreas Miiller

- Related to bug #9143: Distribution data sources are missing if multiple distributions exist added
